.flex-1 {
  -webkit-box-flex: 1;
  -ms-flex: 1 1 0%;
  flex: 1 1 0%;
}

.relative {
  position: relative;
}
.pt-32 {
  padding-top: 13rem;
}

.px-4 {
  padding-left: 1rem;
  padding-right: 1rem;
}
.max-w-7xl {
  max-width: 80rem;
}
.w-full {
  width: 100%;
}
.flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}
.max-w-none {
  max-width: none;
}

.w-full {
  width: 100%;
}

.text-xl {
  font-size: 2.8125rem;
  line-height: 3.75rem;
}
.max-w-4xl {
  max-width: 56rem;
}
.mb-8 {
  margin-bottom: 2rem;
}
.prose > :where(:first-child):not(:where([class~="not-prose"] *)) {
  margin-top: 0;
}
.prose :where(h1):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-headings);
  font-size: 2.25em;
  font-weight: regular;
  line-height: 1.1111111;
  margin-bottom: 0.8888889em;
  margin-top: 0;
}
.max-w-lg {
  max-width: 32rem;
}

.prose > :where(:last-child):not(:where([class~="not-prose"] *)) {
  margin-bottom: 0;
}
p:last-child {
  margin-bottom: 0;
}

.prose :where(p):not(:where([class~="not-prose"] *)) {
  margin-bottom: 1.25em;
  margin-top: 1.25em;
}
.w-full {
  width: 100%;
}
.pb-16 {
  padding-bottom: 4rem;
}

.pt-16 {
  padding-top: 4rem;
}

.content-wide {
  max-width: 80rem;
}
.px-4 {
  padding-left: 1rem;
  padding-right: 1rem;
}
.w-full {
  width: 100%;
}
.flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.mx-auto {
  margin-left: auto;
  margin-right: auto;
}
.flex-col {
  -webkit-box-orient: vertical;
  -ms-flex-direction: column;
  flex-direction: column;
}

.flex-col,
.flex-row {
  -webkit-box-direction: normal;
}
.w-full {
  width: 100%;
}
.flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.gap-3 {
  gap: 0.75rem;
}
.justify-center {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.items-stretch {
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
}
.grid-cols-1 {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}
.w-full {
  width: 100%;
}
.grid {
  display: grid;
}
.overflow-hidden {
  overflow: hidden;
}

.flex-col {
  -webkit-box-orient: vertical;
  -ms-flex-direction: column;
  flex-direction: column;
}
.flex-col,
.flex-row {
  -webkit-box-direction: normal;
}
.cursor-pointer {
  cursor: pointer;
}
.w-full {
  width: 100%;
}
.h-full {
  height: 100%;
}
.aspect-\[16\/9\] {
  aspect-ratio: 16 / 9;
}

.object-cover {
  -o-object-fit: cover;
  object-fit: cover;
}

.w-full {
  width: 100%;
}
.h-full {
  height: 100%;
}
.absolute {
  position: absolute;
}
.py-5 {
  padding-bottom: 1.25rem;
  padding-top: 1.25rem;
}

.px-6 {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}
.bg-\[\#2C2C2C\] {
  --tw-bg-opacity: 1;
  background-color: rgba(44, 44, 44, var(--tw-bg-opacity));
}
.duration-300 {
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
}

.transition-\[max-height\] {
  -webkit-transition-duration: 0.15s;
  transition-duration: 0.15s;
  -webkit-transition-property: max-height;
  transition-property: max-height;
  -webkit-transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}
.bg-\[\#555555\] {
  --tw-bg-opacity: 1;
  background-color: rgba(85, 85, 85, var(--tw-bg-opacity));
}
.max-h-0 {
  max-height: 0;
}
.h-full {
  height: 100%;
}
.bottom-0 {
  bottom: 0;
}
.inset-x-0 {
  left: 0;
  right: 0;
}

.ease-in-out {
  -webkit-transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.duration-300 {
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
}
.text-base {
  text-align: center;
  font-weight: bold;
}
.para {
  padding-bottom: 5px;
  text-align: center;
  position: relative;
}
#header {
  background-color: rgba(0, 0, 0, 0.9) !important;
}
.close {
  top: 2rem !important;
  opacity: 1 !important;
  color: white !important;
  z-index: 9999999999999999999999999999999 !important;
  right: 2rem !important;
  position: absolute !important;
}
.transition {
  -webkit-transition-duration: 0.15s;
  transition-duration: 0.15s;
  -webkit-transition-property: color, background-color, border-color, fill,
    stroke, opacity, -webkit-text-decoration-color, -webkit-box-shadow,
    -webkit-transform, -webkit-filter, -webkit-backdrop-filter;
  transition-property: color, background-color, border-color, fill, stroke,
    opacity, -webkit-text-decoration-color, -webkit-box-shadow,
    -webkit-transform, -webkit-filter, -webkit-backdrop-filter;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter, -webkit-text-decoration-color, -webkit-box-shadow,
    -webkit-transform, -webkit-filter, -webkit-backdrop-filter;
  -webkit-transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}
.bg-transparent {
  background-color: transparent;
}
.border-light {
  --tw-border-opacity: 1;
  border-color: rgba(var(--light), var(--tw-border-opacity));
}
.border-r {
  border-right-width: 1px;
}
.border-b {
  border-bottom-width: 1px;
}
.w-4 {
  width: 1rem;
}
.h-4 {
  height: 1rem;
}
.right-5 {
  right: 1.25rem;
}
.bottom-6 {
  bottom: 1.5rem;
}
.text-base {
  font-size: 1rem;
  line-height: 1.875rem;
}

.mb-4 {
  margin-bottom: 1rem;
}
.relative {
  position: relative;
}
.tracking-tighter {
  letter-spacing: -0.05em;
}

.uppercase {
  text-transform: uppercase;
}
.font-bold {
  font-weight: 700;
}
.text-xs {
  font-size: 0.625rem;
  line-height: 0.75rem;
}
.font-sans {
  font-family: Source Sans Pro, ui-sans-serif, system-ui, -apple-system,
    Segoe UI, Roboto, Ubuntu, Cantarell, Noto Sans, sans-serif,
    BlinkMacSystemFont, Helvetica Neue, Arial, Apple Color Emoji, Segoe UI Emoji,
    Segoe UI Symbol, Noto Color Emoji;
}
.px-2\.5 {
  padding-left: 0.625rem;
  padding-right: 0.625rem;
}
.py-1 {
  padding-bottom: 0.25rem;
  padding-top: 0.25rem;
}
.bg-primary {
  --tw-bg-opacity: 1;
  background-color: rgba(255, 87, 45, var(--tw-bg-opacity));
  background-color: rgba(var(--primary), var(--tw-bg-opacity));
}
.rounded-full {
  border-radius: 9999px;
}
.items-center {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}
.inline-flex {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
}
.group,
.group-hover {
  transition: all 0.3s ease;
}
.mr-1 {
  margin-right: 0.25rem;
}
.group:hover .group-hover\:scale-105 {
  --tw-scale-x: 1.05;
  transition: all 0.3s ease;
  --tw-scale-y: 1.05;
  -webkit-transform: translate(0, 0) rotate(0) skewX(0) skewY(0) scaleX(0)
    scaleY(0);
  transform: translate(0, 0) rotate(0) skewX(0) skewY(0) scaleX(1.05)
    scaleY(1.05);
}
.work-header .nav-menu a {
  color: black;
}
.cursor-pointer,
a {
  cursor: pointer !important
  ;
}
.py-5.custom-pad {
  padding-bottom: 1.25rem !important;
  padding-top: 1.25rem !important;
}
.work-header.header-scrolled .nav-menu .active a,
.work-header .nav-menu .active a {
  color: #b14ae3 !important;
}
.work-header.header-scrolled .nav-menu a {
  color: white;
}
.group:hover .group-hover\:translate-y-1 {
  transition: all 0.3s ease;
  --tw-translate-y: 0.25rem;
}

.group:hover .group-hover\:translate-x-1,
.group:hover .group-hover\:translate-y-1 {
  transition: all 0.3s ease;
  -webkit-transform: translate(0.25rem, 0.25rem) rotate(0) skewX(0) skewY(0)
    scaleX(1) scaleY(1);
  transform: translate(0.25rem, 0.25rem) rotate(0) skewX(0) skewY(0) scaleX(1)
    scaleY(1);
}
.group:hover .group-hover\:translate-x-1 {
  transition: all 0.3s ease;
  --tw-translate-x: 0.25rem;
}
.group:hover .group-hover\:max-h-full {
  transition: all 0.3s ease;
  max-height: 100%;
}
.overflow-y-auto {
  overflow-y: auto;
}

.z-50 {
  z-index: 50;
}
.inset-0,
.inset-y-0 {
  bottom: 0;
  top: 0;
}
.inset-0 {
  left: 0;
  right: 0;
}
.fixed {
  position: fixed;
}
.text-center {
  text-align: center;
}

.justify-center {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.items-end {
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
}
.min-h-screen {
  min-height: 100vh;
}
.flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.text-light {
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
  color: rgba(white, var(--tw-text-opacity));
}
.right-1 {
  right: 0.25rem;
}
.top-1 {
  top: 0.25rem;
}
.absolute {
  position: absolute;
}
.w-6 {
  width: 1.5rem;
}

.h-6 {
  height: 1.5rem;
}
svg {
  display: inline-block;
} /* Add this CSS to your stylesheet */
.btn-troa:hover svg {
  color: #b14ae3;
  transition: all 0.3s ease;
}
.btn-troa {
  background-color: transparent;
  box-shadow: none;
  border: none;
  transition: all 0.3s ease;
  cursor: pointer !important;
}
.mobile-nav-toggle {
  top: 40px !important;
}
/* Modal Popup */
.modal {
  display: none; /* Hide modal by default */
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8); /* Semi-transparent black background */
}
.modal {
  z-index: 999999999 !important;
}
.modal-content {
  position: absolute;
  top: 50%;
  border: none !important;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 1200px; /* Max width of video player */
  width: 90%;
  height: 80vh; /* 80% of the viewport height */
  background-color: transparent !important; /* Transparent black background */
  padding: 20px;
  border-radius: 10px;
  box-shadow: transparent !important; /* Box shadow for depth */
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Video Player */
#videoPlayer {
  width: 100%;
  height: 100%;
}

/* Style for video card elements */
/* Update as needed */
.flex {
  /* Your existing styles for video cards */
}

.h-full {
  /* Your existing styles for video cards */
}

/* Add more CSS styles as needed */

@media (min-width: 640px) {
  .sm\:right-4 {
    right: 1rem;
  }
  .sm\:top-4 {
    top: 1rem;
  }
  .sm\:px-6 {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }
  .sm\:text-2xl {
    font-size: 4.0625rem;
    line-height: 5rem;
  }
  .sm\:px-6 {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }
}
@media (min-width: 768px) {
  .md\:grid-cols-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}
